curl --request PATCH \
--url https://api.synctera.com/v1/applications/{application_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"applicants": [
{
"is_primary": true,
"adverse_action_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"credit_score_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"underwriting_data": [
{
"request_time": "2023-11-07T05:31:56Z",
"vendor": "PLAID",
"vendor_info": {}
}
]
}
]
}
'import requests
url = "https://api.synctera.com/v1/applications/{application_id}"
payload = { "applicants": [
{
"is_primary": True,
"adverse_action_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"business_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"credit_score_ids": ["7d943c51-e4ff-4e57-9558-08cab6b963c7"],
"customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
"underwriting_data": [
{
"request_time": "2023-11-07T05:31:56Z",
"vendor": "PLAID",
"vendor_info": {}
}
]
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
applicants: [
{
is_primary: true,
adverse_action_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
business_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
credit_score_ids: ['7d943c51-e4ff-4e57-9558-08cab6b963c7'],
customer_id: '7d943c51-e4ff-4e57-9558-08cab6b963c7',
underwriting_data: [{request_time: '2023-11-07T05:31:56Z', vendor: 'PLAID', vendor_info: {}}]
}
]
})
};
fetch('https://api.synctera.com/v1/applications/{application_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account_template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"applicant": {
"type": "business",
"business": {
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"annual_revenue": 123
},
"personal": {
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"employment": {
"employer_name": "<string>",
"employment_start_date": "2023-12-25",
"income": 123,
"position": "<string>"
}
}
},
"provider": "loanpro",
"tenant": "abcdef_ghijkl",
"type": "CREDIT",
"application_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"creation_time": "2023-11-07T05:31:56Z",
"customer_type": "business",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_updated_time": "2023-11-07T05:31:56Z",
"status": "completed",
"attributes": {},
"metadata": {
"entity_id": "<string>",
"tenant": "<string>",
"version": "<string>"
},
"requested_credit_limit": 123,
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_submitted_time": "2023-11-07T05:31:56Z",
"business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credit_limit": 123,
"credit_report": {},
"decision": "approved",
"decision_time": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"interest_rate": 123,
"person_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"rejection_reasons": [
"<string>"
],
"vendor_response": {
"execution_id": "<string>",
"raw_response": {},
"vendor": "<string>"
}
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}Modify an application
🚧 Beta This is an Beta endpoint. Feedback from the community is welcome. We may make breaking changes to this endpoint.
Modify an existing application for an account.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for the application.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Application fields to be patched.
- Credit application details
- Restricted account application details
- Credit card application patch
- Line of Credit application patch
Show child attributes
Show child attributes
Status of the credit application. CREDIT_DENIED, CREDIT_NOT_ACCEPTED_BY_CUSTOMER and CREDIT_ACCEPTED_BY_CUSTOMER are terminal status
CREDIT_ACCEPTED_BY_CUSTOMER, CREDIT_APPROVED, CREDIT_DENIED, CREDIT_NOT_ACCEPTED_BY_CUSTOMER, SUBMITTED Response
Updated application.
- Line of Credit application response
- Credit card application response
- Restricted account application details
- Credit application details
Mainapi account template ID to use for creating the LOC account
Show child attributes
Show child attributes
Provider for LOC application
loanpro The id of the tenant containing the resource.
"abcdef_ghijkl"
Type of Application
CREDIT, CREDIT_CARD, LOC, RESTRICTED_ACCOUNT "CREDIT"
ID of the workflow used for processing. Obtained from the account template.
Application creation timestamp in RFC3339 format
Type of applicant
business, personal Application ID
Timestamp of the last application modification in RFC3339 format
Status of the LOC application
completed, error, pending, processing Raw JSON key-value pairs for flexible data
Show child attributes
Show child attributes
Requested credit limit in cents (e.g., 250000000 = $2,500,000)
Account ID created for approved application
Application submitted timestamp in RFC3339 format
Business ID if customer_type is business
Credit limit in cents (e.g., 250000000 = $2,500,000)
Credit report data object
Credit decision for LOC application
approved, declined, pending, review Decision timestamp in RFC3339 format
External identifier (e.g., Taktile decision_id)
Interest rate in basis points (e.g., 1250 = 12.50%)
Person ID if customer_type is personal
Show child attributes
Show child attributes
Was this page helpful?

